
#include "main.h"
#include "SimilarityCompute.h"

int main(int argc, char *argv[])
{

	//query画像のBoFをデータベースと比べて山か森かを判断する．
	//結果はresult.txtに保存

	SimilarityCompute mySimilarity;
	
	mySimilarity.LoadHistgramDataSet("./bof_result_database.txt", 200, 500);
	//mySimilarity.SaveHistgramDataSet("./test.txt");

	mySimilarity.LoadHistgramInputs("./bof_result_query.txt", 100, 500);

	mySimilarity.IterativeJudge();


	return 0;


}